List cost records for the workspace, optionally filtered by period and link
GET
/api/v1/costs
const url = 'https://example.com/api/v1/costs?from=2026-03-01&to=2026-03-31';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/costs?from=2026-03-01&to=2026-03-31' \ --header 'Authorization: Bearer <token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»from
string
Example
2026-03-01Only cost records overlapping this range — start (date)
to
string
Example
2026-03-31Only cost records overlapping this range — end (date)
linkId
string
Filter by link UUID
Responses
Заголовок раздела «Responses»Media typeapplication/json
Array<object>
object
id
required
string
linkId
object
breakdownKey
object
breakdownValue
object
periodStart
required
string
periodEnd
required
string
amount
required
number
currency
required
string
source
required
string
notes
object
createdAt
required
string
updatedAt
required
string
Example generated
[ { "id": "example", "linkId": {}, "breakdownKey": {}, "breakdownValue": {}, "periodStart": "example", "periodEnd": "example", "amount": 1, "currency": "example", "source": "example", "notes": {}, "createdAt": "example", "updatedAt": "example" }]